<div class="col-12">
    <form class="title-filter">
        <div class="row">
            <div class="col-6">
                <label>Search Configuration:</label>
                <select (change)="configurationChanged()" [(ngModel)]="configurationSelected" name="first" class="form-control">
                    <option *ngFor="let option of order.configureDTOSet" [ngValue]="option">{{option.configurationName}}</option>
                </select>
            </div>
            <div class="col-6">
                <label>Search Titles:</label>
                <input type="text" placeholder="Search Titles" class="form-control" [(ngModel)]="searchTitleName" name="searchTitleName">
            </div>
        </div>
    </form>
    <div>
        <p>&nbsp;</p>
        <table class="table table-hover">
            <thead>
                <tr>
                    <th width="50">Select</th>
                    <th width="150px">Title Name</th>
                    <th>Content Type</th>
                    <th>Configuration </th>
                    <th>Bundle</th>
                    <th>Route</th>
                    <th>Priority</th>
                    <th width="170px">Destination</th>
                    <th>Activation Month</th>
                    <!--<th>Include in Packaging</th>-->
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let title of configurationSelected?.titleList | filterTitle:searchTitleName">
                    <td>
                        <!--<input [disabled]="!title.packaging" [(ngModel)]="title.selected" type="checkbox">-->
                        <input [(ngModel)]="title.selected" type="checkbox">
                    </td>
                    <td>{{title.contentName}}</td>
                    <td>{{title.contentType}}</td>
                    <td>Static</td>
                    <td>Static</td>
                    <td>Static</td>
                    <td>
                        <select class="form-control" [(ngModel)]="title.priority" (change)="onPriorityChange($event, title)">
                            <option *ngFor="let n of priorities " [value]="n.value">{{n.label}}</option>
                        </select>
                    </td>
                    <td>
                        <multi-select [options]="destinations" [(values)]="title.destinationList" (valuesChange)="onDestinationChange($event, title)"></multi-select>
                    </td>
                    <td>
                        <select class="form-control" [(ngModel)]="title.activationMonth" (change)="onYearChange($event, title)">
                            <option *ngFor="let n of years " [value]="n.value">{{n.label}}</option>
                        </select>
                    </td>
                    <!--<td>
                        <switchbox [(switchOn)]="title.packaging" [switchFor]="title.contentInternalId"></switchbox>
                    </td>-->
                </tr>
            </tbody>
        </table>
    </div>
</div>
<div class="row float-right">
    <div class="col-12">
        <button class="btn btn-title" routerLink="">Assign Bundle</button>
        <button class="btn btn-title" routerLink="">Add Title</button>
        <button class="btn btn-title" routerLink="">Create Title</button>
        <button class="btn btn-title
" routerLink="">Route Based programming
        </button>
    </div>
</div>
